// Funktion zum Überprüfen und Steuern der Schneeflocken
function toggleSnowflakes() {
  const body = document.body;
  const videoPlayer = document.querySelector('.videoPlayerContainer');
  const isDashboard = body.classList.contains('dashboardDocument');
  const hasUserMenu = document.querySelector('#app-user-menu');

  // Schneeflocken ausblenden, wenn Videoplayer aktiv ist oder Dashboard sichtbar ist
  if (videoPlayer || isDashboard || hasUserMenu) {
    body.classList.add('hide-snowflakes');
  } else {
    body.classList.remove('hide-snowflakes');
  }
}

// Beobachte Änderungen im DOM
const observer = new MutationObserver(toggleSnowflakes);

// Beobachtung starten
observer.observe(document.body, {
  childList: true,    // Überwacht Hinzufügen/Entfernen von Kindelementen
  subtree: true,      // Überwacht alle Ebenen des DOM-Baums
  attributes: true    // Überwacht Änderungen an Attributen (z. B. Klassenänderungen)
});

// Initiale Überprüfung
document.addEventListener('DOMContentLoaded', toggleSnowflakes);
